local t = Def.ActorFrame {
	InitCommand=cmd(fov,100);
	
	Def.Quad {
		InitCommand=cmd(FullScreen;draworder,-100;);
		OnCommand=function(self)
			local gamem = GAMESTATE:GetPlayMode();
			if gamem == "PlayMode_Nonstop" then
				self:diffuse(color("0.3,0.3,0,1"));
			elseif gamem == "PlayMode_Oni" then
				self:diffuse(color("0.15,0,0.3,1"));
			elseif gamem == "PlayMode_Endless" then
				self:diffuse(color("0.3,0,0,1"));
			else
				self:diffuse(color("0.1,0,0,1"));
			end;
		end;
	};

	LoadActor( THEME:GetPathB("_shared","models/_back01") )..{
		OnCommand=cmd(blend,'BlendMode_Add';x,SCREEN_CENTER_X-400;y,SCREEN_CENTER_Y-10;diffuse,color("0.3,0.3,0.3,0.6");zoom,5;rotationx,-90;rotationy,-80;rotationz,-80;spin;effectmagnitude,0,0,3);
	};

	LoadActor( THEME:GetPathB("_shared","models/_cross") )..{
		InitCommand=cmd(blend,'BlendMode_Add';y,SCREEN_CENTER_Y+80;zoom,0.25;diffuse,color("0.4,0.4,0.4,0.4"););
		OnCommand=function(self)
			if GAMESTATE:IsPlayerEnabled(PLAYER_1) and GAMESTATE:IsHumanPlayer(PLAYER_1) and not GAMESTATE:IsPlayerEnabled(PLAYER_2) and not GAMESTATE:IsHumanPlayer(PLAYER_2) then
				self:x(SCREEN_CENTER_X+160);
				self:spin();
				self:effectmagnitude(10,2,5);
			else
				if GAMESTATE:IsPlayerEnabled(PLAYER_2) and GAMESTATE:IsHumanPlayer(PLAYER_2) and not GAMESTATE:IsPlayerEnabled(PLAYER_1) and not GAMESTATE:IsHumanPlayer(PLAYER_1) then
					self:x(SCREEN_CENTER_X-160);
					self:spin();
					self:effectmagnitude(-10,-2,-5);
				else
					self:x(SCREEN_CENTER_X);
					self:spin();
					self:effectmagnitude(10,-2,-5);
				end
			end
		end;
	};
	
	LoadActor(THEME:GetPathB("","warback"))..{
		Condition=GAMESTATE:HasEarnedExtraStage() and (GAMESTATE:IsExtraStage() or GAMESTATE:IsExtraStage2());
		InitCommand=cmd(Center;diffusealpha,0;sleep,0.4;linear,0.6;diffusealpha,0.7;);
		OnCommand=cmd(diffuseshift;effectperiod,1;effectcolor1,color("1,1,1,0.7");effectcolor2,color("0,0,0,0"));
	};	

	LoadActor( THEME:GetPathB("","_white") )..{
		BeginCommand=cmd(zoomtowidth,SCREEN_WIDTH;zoomtoheight,SCREEN_HEIGHT);
		OnCommand=cmd(diffuse,color("0.3,0,0.4,0.3"));
	};

	LoadActor( THEME:GetPathB("","back_over") )..{
	OnCommand=cmd(diffusealpha,0.5;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;rotationz,-5;zoomtoheight,SCREEN_HEIGHT*8/2;accelerate,0.8;rotationz,0;zoomy,1;);
	};
};
return t;
